# Class CommandsSwitch<T>

java.lang.Object
org.eclipse.emf.ecore.util.Switch<T>
org.eclipse.e4.ui.model.application.commands.util.CommandsSwitch<T>

public class CommandsSwitch<T> extends org.eclipse.emf.ecore.util.Switch<T>
The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  - `CommandsPackageImpl`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static CommandsPackageImpl`
`modelPackage`
The cached model package

## Constructor Summary

Constructors
Constructor
Description
`CommandsSwitch()`
Creates an instance of the switch.

## Method Summary

Modifier and Type
Method
Description
`T`
`caseApplicationElement(MApplicationElement object)`
Returns the result of interpreting the object as an instance of 'Element'.
`T`
`caseBindingContext(MBindingContext object)`
Returns the result of interpreting the object as an instance of 'Binding Context'.
`T`
`caseBindings(MBindings object)`
Returns the result of interpreting the object as an instance of 'Bindings'.
`T`
`caseBindingTable(MBindingTable object)`
Returns the result of interpreting the object as an instance of 'Binding Table'.
`T`
`caseBindingTableContainer(MBindingTableContainer object)`
Returns the result of interpreting the object as an instance of 'Binding Table Container'.
`T`
`caseCategory(MCategory object)`
Returns the result of interpreting the object as an instance of 'Category'.
`T`
`caseCommand(MCommand object)`
Returns the result of interpreting the object as an instance of 'Command'.
`T`
`caseCommandParameter(MCommandParameter object)`
Returns the result of interpreting the object as an instance of 'Command Parameter'.
`T`
`caseContribution(MContribution object)`
Returns the result of interpreting the object as an instance of 'Contribution'.
`T`
`caseHandler(MHandler object)`
Returns the result of interpreting the object as an instance of 'Handler'.
`T`
`caseHandlerContainer(MHandlerContainer object)`
Returns the result of interpreting the object as an instance of 'Handler Container'.
`T`
`caseKeyBinding(MKeyBinding object)`
Returns the result of interpreting the object as an instance of 'Key Binding'.
`T`
`caseKeySequence(MKeySequence object)`
Returns the result of interpreting the object as an instance of 'Key Sequence'.
`T`
`caseLocalizable(MLocalizable object)`
Returns the result of interpreting the object as an instance of 'Localizable'.
`T`
`caseParameter(MParameter object)`
Returns the result of interpreting the object as an instance of 'Parameter'.
`T`
`defaultCase(org.eclipse.emf.ecore.EObject object)`
Returns the result of interpreting the object as an instance of 'EObject'.
`protected T`
`doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected boolean`
`isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)`
Checks whether this is a switch for the given package.

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modelPackage

protected static CommandsPackageImpl modelPackage
The cached model package

## Constructor Details

### CommandsSwitch

public CommandsSwitch()
Creates an instance of the switch.

## Method Details

### isSwitchFor

protected boolean isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)
Checks whether this is a switch for the given package.

Specified by:
  `isSwitchFor` in class `org.eclipse.emf.ecore.util.Switch<T>`
Parameters:
  `ePackage` - the package in question.
Returns:
  whether this is a switch for the given package.

### doSwitch

protected T doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Overrides:
  `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<T>`
Returns:
  the first non-null result returned by a `caseXXX` call.

### caseBindingTableContainer

public T caseBindingTableContainer(MBindingTableContainer object)
Returns the result of interpreting the object as an instance of 'Binding Table Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Binding Table Container'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseBindings

public T caseBindings(MBindings object)
Returns the result of interpreting the object as an instance of 'Bindings'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Bindings'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseBindingContext

public T caseBindingContext(MBindingContext object)
Returns the result of interpreting the object as an instance of 'Binding Context'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Binding Context'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseBindingTable

public T caseBindingTable(MBindingTable object)
Returns the result of interpreting the object as an instance of 'Binding Table'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Binding Table'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseCommand

public T caseCommand(MCommand object)
Returns the result of interpreting the object as an instance of 'Command'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Command'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseCommandParameter

public T caseCommandParameter(MCommandParameter object)
Returns the result of interpreting the object as an instance of 'Command Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Command Parameter'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseHandler

public T caseHandler(MHandler object)
Returns the result of interpreting the object as an instance of 'Handler'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Handler'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseHandlerContainer

public T caseHandlerContainer(MHandlerContainer object)
Returns the result of interpreting the object as an instance of 'Handler Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Handler Container'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseKeyBinding

public T caseKeyBinding(MKeyBinding object)
Returns the result of interpreting the object as an instance of 'Key Binding'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Key Binding'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseKeySequence

public T caseKeySequence(MKeySequence object)
Returns the result of interpreting the object as an instance of 'Key Sequence'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Key Sequence'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseParameter

public T caseParameter(MParameter object)
Returns the result of interpreting the object as an instance of 'Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Parameter'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseCategory

public T caseCategory(MCategory object)
Returns the result of interpreting the object as an instance of 'Category'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Category'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseApplicationElement

public T caseApplicationElement(MApplicationElement object)
Returns the result of interpreting the object as an instance of 'Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Element'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseLocalizable

public T caseLocalizable(MLocalizable object)
Returns the result of interpreting the object as an instance of 'Localizable'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Localizable'.
Since:
  1.1
See Also:
  - `doSwitch(EObject)`

### caseContribution

public T caseContribution(MContribution object)
Returns the result of interpreting the object as an instance of 'Contribution'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Contribution'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### defaultCase

public T defaultCase(org.eclipse.emf.ecore.EObject object)
Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Overrides:
  `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  - `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`